Summary: Tk modules for Perl
Name: PerlTk
Version: 8.11
Release: 1
Vendor: CSG, Computing, Imperial College
Group: Utilities/Text
Copyright: distributable 
Source: ftp://sunsite.doc.ic.ac.uk/packages/CPAN/modules/by-module/Tk/Tk800.011.tar.gz
Source1: frf.tar.gz
Provides: perl/tk ptk pTk
Requires: perl >= 5.0

BuildRoot: /homes/mjw7/rpm-dev/root

%description
This package provides the modules and Tk code for Perl/Tk,
as written by Nick Ing-Simmons (pTk), John Ousterhout(Tk), and Ioi Kim Lam(Tix).
It gives you the ability to develop perl applications using the Tk GUI.
It includes the source code for the Tk and Tix elements it uses.
The licences for the various components differ, so check the copyright.

%prep
%setup -n Tk800.011
cd ..
tar xvzf ../SOURCES/frf.tar.gz
cd Tk800.011
# Fix to make scripts compatible with perl RPM (installs as /usr/bin/perl not local).
# Note: the order of these two lines is important.
find . | ../frf/rfrind "/usr/local/bin/perl5" "/usr/bin/perl" .
find . | ../frf/rfrind "/usr/local/bin/perl" "/usr/bin/perl" .

perl Makefile.PL

# Fix for MakeMaker to allow non-root building of package.
find . -name Makefile | ../frf/frf "PREFIX = /usr" "PREFIX = $RPM_BUILD_ROOT/usr"
find . -name Makefile | ../frf/frf "INSTALLMAN1DIR = /usr/man/man1" 'INSTALLMAN1DIR = $(PREFIX)/man/man1'
#find . -name Makefile | ../frf/frf "/usr/local/bin/perl5" "/usr/bin/perl"

# It's funny: frf was originally written to convert absolute URLs to relative URLs
# in html files. It stands for Find/Replace in File. If anyone wants it, the script
# installs as frf in the BUILD directory (ie .../BUILD/frf/frf).
# It's designed to be transparent as far as "." and "/" are concerned.

%build
make

%install
# Warning: These few lines will break when perl reaches version 6.

PERL_VER=`ls /usr/lib/perl5/i386-linux`
install -d $RPM_BUILD_ROOT/usr/lib/perl5/i386-linux/$PERL_VER
touch $RPM_BUILD_ROOT/usr/lib/perl5/i386-linux/$PERL_VER/perllocal.pod

# The above lines are required for a non-root build. They are
# a necessary workaround to get the damn thing to compile
# in my home directory. It _should_ work (haha) with new minor versions of
# perl, but I make no guarantees. I'll keep packaging new versions
# until I get tired or fired, whichever happens first ;)
# Still, it could be worse...

install -d $RPM_BUILD_ROOT/usr/lib/perl5/man/man1
install -d $RPM_BUILD_ROOT/usr/lib/perl5/man/man3
install -d $RPM_BUILD_ROOT/usr/man/man1
install -d $RPM_BUILD_ROOT/usr/man/man3

make install

%files
%attr(-,root,root) %doc COPYING ToDo Changes INSTALL README README.linux Funcs.doc
%attr(-,root,root) /usr/lib/perl5/site_perl/Tk
%attr(-,root,root) /usr/lib/perl5/site_perl/auto/Tk
%attr(-,root,root) /usr/lib/perl5/site_perl/i386-linux/Tk
%attr(-,root,root) /usr/lib/perl5/site_perl/i386-linux/auto/Tk
%attr(-,root,root) /usr/bin/ptked
%attr(-,root,root) /usr/bin/ptksh
%attr(-,root,root) /usr/bin/widget
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::Adjuster.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::After.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::Animation.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::Balloon.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::Bitmap.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::BrowseEntry.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::Button.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::Canvas.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::Checkbutton.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::Clipboard.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::CmdLine.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::ColorEditor.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::Common.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::DItem.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::Derived.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::Dialog.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::DialogBox.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::DirTree.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::Entry.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::Error.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::FileSelect.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::Font.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::Frame.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::HList.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::IO.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::Image.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::InputO.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::Internals.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::Item.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::LabFrame.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::Label.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::Listbox.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::MainWindow.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::Menu.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::Menubutton.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::Message.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::Mwm.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::NoteBook.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::Optionmenu.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::Photo.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::Pixmap.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::ROText.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::Radiobutton.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::Scale.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::Scrollbar.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::Scrolled.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::Submethods.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::SunConst.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::TList.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::Table.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::Tcl-perl.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::Text.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::TextUndo.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::Tiler.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::TixGrid.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::Toplevel.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::Tree.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::UserGuide.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::Widget.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::WidgetDemo.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::Wm.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::X.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::Xrm.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::bind.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::bindtags.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::callbacks.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::chooseColor.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::composite.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::configspec.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::event.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::exit.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::fileevent.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::focus.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::form.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::getOpenFile.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::grab.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::grid.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::mega.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::messageBox.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::option.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::options.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::overview.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::pTk.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::pack.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::palette.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::place.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::selection.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::send.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::tixWm.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::tkvars.3
%attr(-,root,root) /usr/lib/perl5/man/man3/Tk::widgets.3
%attr(-,root,root) /usr/lib/perl5/site_perl/Tk.pm
%attr(-,root,root) /usr/lib/perl5/site_perl/fix_4_os2.pl
%attr(-,root,root) /usr/man/man1/ptked.1
%attr(-,root,root) /usr/man/man1/ptksh.1
%attr(-,root,root) /usr/man/man1/widget.1
